using System;
using MoonTools.ECS;

namespace MoonWorksECSTest
{
	public class InputSystem : MoonTools.ECS.System
	{
		MoonWorks.Input.Inputs Inputs;

		public InputSystem(World world, MoonWorks.Input.Inputs inputs) : base(world)
		{
			Inputs = inputs;
		}

		public override void Update(TimeSpan delta)
		{
			var dpadUp = Inputs.Keyboard.ButtonState(MoonWorks.Input.Keycode.Up);

			var inputMessage = new InputMessage
			{
				PlayerIndex = 0,
				DpadUp = dpadUp
			};

			Send(inputMessage);
		}
	}
}
